define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Descriptors of why a battle may finish.
     */
    var BattleOutcome;
    (function (BattleOutcome) {
        /**
         * The opponent team fled.
         */
        BattleOutcome[BattleOutcome["opponentFled"] = 0] = "opponentFled";
        /**
         * The player's team is out of usable actors.
         */
        BattleOutcome[BattleOutcome["opponentVictory"] = 1] = "opponentVictory";
        /**
         * The player team fled.
         */
        BattleOutcome[BattleOutcome["playerFled"] = 2] = "playerFled";
        /**
         * The opponent's team is out of usable actors.
         */
        BattleOutcome[BattleOutcome["playerVictory"] = 3] = "playerVictory";
        /**
         * Both teams are out of usable actors.
         */
        BattleOutcome[BattleOutcome["tie"] = 4] = "tie";
    })(BattleOutcome = exports.BattleOutcome || (exports.BattleOutcome = {}));
});
