import { IAction } from "../Actions";
import { ITeamAndAction } from "../Teams";
import { Animator } from "./Animator";
/**
 * Animator for teams' actions.
 */
export declare class Actions extends Animator {
    /**
     * Runs a team's action.
     *
     * @param teamAction    Action with the team that wants to execute it.
     * @param onComplete   Callback for when this is done.
     * @type TAction   Type of action being performed.
     */
    run<TAction extends IAction>(teamAction: ITeamAndAction<TAction>, onComplete: () => void): void;
}
