var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "../Teams", "./Animator"], function (require, exports, Teams_1, Animator_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Animator for teams' actions.
     */
    var Actions = /** @class */ (function (_super) {
        __extends(Actions, _super);
        function Actions() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * Runs a team's action.
         *
         * @param teamAction    Action with the team that wants to execute it.
         * @param onComplete   Callback for when this is done.
         * @type TAction   Type of action being performed.
         */
        Actions.prototype.run = function (teamAction, onComplete) {
            if (this.battleInfo.teams[Teams_1.Team[teamAction.source.team]].selectedActor !== teamAction.source.actor) {
                onComplete();
                return;
            }
            var animations = teamAction.source.team === Teams_1.Team.opponent
                ? this.animations.opponent
                : this.animations.player;
            switch (teamAction.action.type) {
                case "flee":
                    animations.actions.flee(teamAction, onComplete);
                    break;
                case "item":
                    animations.actions.item(teamAction, onComplete);
                    break;
                case "move":
                    animations.actions.move(teamAction, onComplete);
                    break;
                case "switch":
                    animations.switching.switch(teamAction, onComplete);
                    break;
                default:
                    throw new Error("Unkown action: '" + teamAction.action.type + "'.");
            }
        };
        return Actions;
    }(Animator_1.Animator));
    exports.Actions = Actions;
});
