var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "./Animator", "./Queue"], function (require, exports, Animator_1, Queue_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Animator for teams introducing themselves.
     */
    var Introductions = /** @class */ (function (_super) {
        __extends(Introductions, _super);
        function Introductions() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * Runs the animations.
         *
         * @param onComplete   Handler for when the animations are done.
         */
        Introductions.prototype.run = function (onComplete) {
            var _this = this;
            var queue = new Queue_1.Queue();
            queue.add(function (next) {
                _this.animations.opponent.introduction(next);
            });
            queue.add(function (next) {
                _this.animations.player.introduction(next);
            });
            queue.add(function (next) {
                _this.animations.opponent.switching.enter(next);
            });
            queue.add(function (next) {
                _this.animations.player.switching.enter(next);
            });
            queue.run(onComplete);
        };
        return Introductions;
    }(Animator_1.Animator));
    exports.Introductions = Introductions;
});
