import { IActionsOrderer } from "../Teams";
import { Animator, IAnimatorSettings } from "./Animator";
/**
 * Root animator for a battle.
 */
export declare class Main extends Animator {
    /**
     * Animator for teams' actions.
     */
    private readonly actions;
    /**
     * Animator for teams introducing themselves.
     */
    private readonly introductions;
    /**
     * Orders teams' chosen actions.
     */
    private readonly actionsOrderer;
    /**
     * Initializes a new instance of the Animator class.
     *
     * @param settings   Settings to be used for initialization.
     * @param actionsOrderer   Battle info for the battle.
     */
    constructor(settings: IAnimatorSettings | Animator, actionsOrderer: IActionsOrderer);
    /**
     * Starts the battle's gameplay.
     */
    run(): void;
    /**
     * Waits for actions from each team's selector.
     */
    private waitForActions;
    /**
     * Executes each team's chosen actions.
     *
     * @param actions   Chosen actions by the teams.
     */
    private executeActions;
}
